=====================================
============= Changelog ============= 
=====================================


27/04/21: V2.67
All Versions:
	*Replaced Tentacool encounter slot in Azure Bay with Pelipper.
	*Uploaded a second version numbered 2.67 because ???

07/10/20: V2.67
Online Version:
	*Uploaded the fix that removed wild Pokemon encounter files.

24/07/20: V2.66
All Versions:
	*Fixed Altaria's level up moves. It should no longer crash the move reminder.


21/05/20: V2.65
Rebalanced Versions:
	*Fixed Torkoal's level up moves. It should no longer crash the move reminder.


09/05/20: V2.64
All versions:
	*Fixed Pumpkaboo's evolution method; previously only the average size could evolve without trading

Rebalanced Versions:
	*Milotic is now a Water/Fairy type, and learns Dazzling Gleam and Moonblast


08/04/20: V2.63
All versions:
	*Replaced Serena and Calem's Flareon's Will-O-Wisp with Facade in the Poke Ball Factory battle
	*Added Relic Song to Meloetta's level up movepool


24/12/19: V2.62
Legal and Rebalanced Versions:
	*Added Incense items as wild held items, so Wynaut is finally obtainable
	*Added Protector as a wild held item for Rhyhorn
	*Updated documents with more specific held item information


07/12/19: V2.61
Online Versions:
	*Removed wild Pokemon garcs (don't know why these were even included)

All versions:
	*Ralts and Budew now have the correct encounter rates on Route 4


18/10/19: V2.6 
All Versions:
Evolution Changes:
	*Larvesta: 59 => 49
	*Pumpkaboo, Phantump: use a Dusk Stone

Rebalanced Versions:
Level up moves:
	*Tropius:	+ Razor Leaf, Leaf Blade, Double-Edge, Defog
	*Greninja: 	+ Dark Pulse, Spikes, earlier Night Slash
	*Jigglypuff:	+ Wish, Boomburst rearranged moveset
	*Shuppet:	+ Headbutt
	*Banette:	+ Crush Claw, Double-Edge
	*Added Disarming Voice to many Fairy types who needed a mid-game fairy STAB

Base Stats:
	*Jigglypuff
	 New stats: 95/45/20/65/35/45
	 New ability: Fur Coat (ability one)

	*Wigglytuff
	 New stats: 120/70/45/95/95/45
	 New ability: Fur Coat (ability one)

	*Shuppet, Banette, Mega Banette: Type is now Ghost/Normal
	 Also recieved stat buffs; see documents for details
	*Torterra: Sap Sipper => Solid Rock

Moves:
	*Strength: Power 80 => 100, PP 15 => 10
	*Triple Kick: Power 10 => 20
	*Disarming Voice: Power 40 => 60, PP 15 => 20
	

17/08/19: V2.54 
Rebalanced Versions:

Fixed Mienfoo's evolution data so that it can actually evolve.


31/07/19: V2.53 
Rebalanced Versions:

Type and move set changes made to Ampharos in the documentation are now also in the games.


15/06/19: V2.52 
All Versions:

Gastly now appears in Reflection Cave as per the documentation.


05/06/19: V2.51 
Insanity versions:

* Fixed an issue with trainer AI settings in Victory Road; they should no longer attack their own Pokemon

Rebalanced Versions only:

* Base power of Rock Smash increased to 60
* The Flabebe line now learns Draining Kiss instead of Petal Blizzard


25/03/19: V2.5 
All versions:

* Your starter Pokemon will now hold a Big Nugget so that you can afford to purchase a TM in Santalune City
* The Kanto starter received from Sycamore will now hold an Eviolite

Rebalanced Versions only:
I've reformatted the Pokemon changes document, and made a few extra changes to some Pokemon while I was there. A few examples:

* Togekiss now learns Air Slash and Aura Sphere by levelling up, making it much easier to train
* Delphox now has Magic Guard as one of its two regular abilities
* Some changes from my USUM hacks have been carried over, including Blaze Kick Zebstrika and the oft-requested Electric/Dark Luxray


09/03/19: V2.41 
Legal Insanity Mode:

* Fixed a bug with Corinne's team that was causing the game to crash.

Rebalanced Insanity Mode:

* Corrine now has a Mega Gardevoir as intended; it previously had Hyper Voice but no Gardevoirite to make use of it.



06/02/19: V2.4 
All Versions:

* Eggs now hatch in a single cycle.
* TM79 Frost Breath now teaches Freeze-Dry and is compatible with any Ice-Type Pokemon.
* Install Guide for Citra users added.

Rebalanced Versions:

* The following moves have been buffed: Frost Breath, Self-Destruct, Explosion, Chatter, Parabolic Charge, Cross Poison, Steel Wing, Power Gem, Needle Arm and Gear Grind.
* The Big Root now boosts healing received from HP stealing moves by 100%, up from 30%.
* Game text has been updated to reflect these changes.



16/09/18: V2.36 
Insanity Versions:

* Fixed Sycamore's AI setting in both battles; his Pokemon should no longer attack each other.

Online Versions:
Fixed TM/HM compatibility data; the new TMS will now work correctly. Note that there is a very slim chance that some Pokemon will have broken TM/HM learn lists, as I fixed this using a randomiser and an ips patcher.


05/09/18: V2.35 
Rebalanced Versions:

* Fixed Wulfric's AI setting; his Pokemon should no longer attack each other.
* Updated documents to include missing changes to Torkoal.



18/08/18: V2.34 
All Versions:

* Replaced the code.bin file with an ips patch
* Updated documents with the new title image

Rebalanced Versions:
Steelix no longer learns Sandstorm, Tackle, Defense Curl or Rock Throw by level up. This fixes a crash with the move reminder, as Steelix previously had too many level up moves.

Legal Versions:
As with the legal version, Steelix no longer learns Sandstorm, Tackle or Defense Curl by level up, to fix a memory issue with the move reminder.


08/07/18: V2.33 
Legal and Rebalanced Versions:
Wild held items added in ORAS are now available in EXWY, but usually at much higher frequencies e.g. wild Seedot now have a 50% chance of holding a Power Herb, and wild Pelipper have a 5% chance of holding a Lucky Egg.


30/04/18: V2.32 
Online Versions:
Eternal X now has an edited code.bin file that will work with the official title update, meaning you can use the update and keep the hacks mart changes. 


08/04/18: V2.31 
All versions:
Mawile and Mega Mawile are now in the Medium-Fast experience group as intended; they were previously in Medium-Slow and Fast respectively.


05/03/18: V2.3 
Rebalanced versions:
Level up movesets for 130+ Pokemon have been rearranged so that they will actually learn the moves they gained in the generation 7 games.
Additionally, more Pokemon changes have been made:

Pokemon Changes:

Wartortle
Swapped levels of Rapid Spin and Water Pulse, so you aren't stuck with Bubble until level 28.

Pidgey line
Now learns moves much faster
Pidgeot: +10 SpA

Fearow
Keen Eye => Intimidate as in documents

Jumpluff
+20 Spe

Cacturne
Sand Veil replaced with Sand Rush

Zangoose
+10 Def, SpDef

Seviper
+40 Spe
+Dragon Dance

Pachirisu
+20 Def

Unfezant
Big Pecks replaced with Tough Claws. Now learns Drill Peck.

Audino
+20 Def

Heliolisk
Now has slightly higher SpA, and a smaller increase to its defense stat.


Also, Drill Peck now has an increased Critical Hit ratio.


22/02/18: V2.23 
Rebalanced versions:
Octillery can now now actually learn Recover, as per the documentation.


17/02/18: V2.22 
Rebalanced versions:
Aipom can now have Skill Link instead of Pickup, allowing it to make better use of Tail Slap.


31/01/18: V2.21 
Legal:
Fixed an issue where Pokemon changes from the rebalanced version had unintentionally made it into the legal version. Hopefully one day I'll release an update that doesn't need a bug fix immediately.

Documents:
Updated quick install guide.


19/01/18: V2.2 
All versions:
Eggs will now hatch in a single cycle.

Insanity:
Insanity mode now has a second version without the Pokemon changes from the Rebalanced version.


26/12/17: V2.11 
All versions:
Wild Legendary Pokemon with extremely low encounter rates (1% -4%) will now be encountered at higher levels than every other Pokemon in the area. This will make them the only Pokemon that can appear while using Repels and having an appropriately levelled Pokemon in the front of your party.


22/11/17: V2.1 
All versions:
Most gift Pokemon now have completely random IVs again, as in the vanilla games. An additional set of .cro files are provided on EXWY's Google Drive if you would prefer to have gift Pokemon with perfect IVs instead.

Rebalanced and Insanity:
Updated all learnsets to include additional level up and egg moves from Pokemon Ultra Sun and Ultra Moon. Newly added moves appear at the end of the listed level up moves in the documentation. Note that Pokemon who acquired Defog via the new tutor will not learn it in EXWY, as very few opponents use entry hazards, so the move is unnecessary in most battles.


6/11/17: V2.031 
Insanity:
Fixed an item/Pokemon error in Grant's gym battle. He now correctly has a Sitrus Berry Cradily in both versions.


5/11/17: V2.03 
Very minor update that corrects a few errors in the following documents:

* Wild Pokemon Locations
* Important Trainer Parties, Insanity


Insanity:
Fixed a moveset error in Clemont's gym battle (Nasty Plot + Assault Vest was not intentional)


20/07/17: V2.02 
This is another minor update with a couple of small bug fixes. I've also removed the need to "layer" the versions on top of each other when installing the game, which will hopefully resolve reported issues with the title screen. The downside to this is that the downloads are now more than twice the size they used to be, as there are now three copies of the title screen file in each download pack.

Insanity:
Fixed an AI setting error that caused certain Rangers on Route 14 to attack their own Pokémon


11/05/17: V2.01 
This is a minor update with a couple of significant bug fixes, as well as a few corrections to the documentation.
Insanity:
Fixed an AI setting error that caused Grant and Clemont to attack their own Pokémon
Made a few small changes to trainer parties; more will likely be on the way, as I'm finally getting around to play testing this version


25/04/17: V2.0 
Added a fourth version of the hacks that supports online play.


22/04/17: V2.0 
This is the biggest update EXWY has ever had. There are a lot of minor changes, but the major ones are as follows:

* Added support for the new game patch feature in Luma3DS 7.1; the games can now be installed very quickly. An installation guide is included.
* Insanity has received a complete overhaul; I've made changes to almost every trainer in the game
* Sun and Moon Pokemon changes are now included in the Rebalanced version
* Made additional Pokemon changes in the Rebalanced version

For every change, see the following:

All Versions:

* Gastly can now be found in Reflection Cave

All Versions (CFW ONLY):
Replaced the forced Pidgey encounter on Route 2 with a Hidden Ability Torchic holding Blazikenite. This
is meant to emulate the event Torchic that was distributed when the games were released; you can even buy a Cherish Ball for 
it in Aquacorde Town. Note that Poke Balls cannot fail on Route 2, so it'll be an easy catch. You should also note that it
completely breaks most of the single battles in the game, so if you're looking for a challenge, it might be best to box it.

Rebalanced and Insanity:

* Updated base stats, abilities, and movepools based on Sun and Moon (Jump Kick Dodrio, DD Flygon, Head Smash Sudowoodo, etc.) where possible
* Updated moves based on Sun and Moon, and made some additional changes (see documents for details)
* Fixed Sceptile's typing (wasn't Grass/Dragon as intended)
* Made additional Pokemon changes, as follows:


* Ponyta & Rapidash:
Sap Sipper (originally Run Away) => Reckless
Added Double Kick, Jump Kick and Double-Edge to level up move pool

* Octillery:
Changed base stats
Old Stats: 75/105/75/105/75/45
New Stats: 100/65/95/120/95/45 (+40 BST)
Now learns Recover

* Swellow:
Increased SpA from 75 to 85
Now learns Hurricane by level up, and can be taught Heat Wave by the move reminder

* Masquerain:
Base HP and SpD increased by 10 each

* Emboar:
Now learns Slack Off and Submission
Changed base stats:
Old stats: 110/123/65/100/65/65
New stats: 110/123/80/70/80/65

* Archen & Archeops:
Can now have Klutz (ability two)

* Karrablast & Escavalier:
Now learn Leech Life by level up

* Beartic:
Can now have Sheer Force (ability two)
Increased base speed from 50 to 70

* Goodra:
Now learns Recover

Evolution level changes were made to the following Pokemon:
Rufflet 54 => 34
Vullaby 54 => 34
Deino 50 => 40
Zweilous 64 => 54
Pawniard 52 => 42
Mienfoo 50 => 40


5/03/17: Version number corrections 

* Changed version numbers of the previous two updates to avoid confusion.

I didn't think the changes in the latest updates were significant enough to warrant a new version number, so I left it at 1.4. In hindsight his wasn't a good idea, as pre-built versions of the games hosted on other sites appeared to be up to date, but were actually missing some very small (and mostly pointless) changes. The exception is the 'Viola nerf' versions, which weren't updated with the 1.4 trainer changes until quite some time after 1.4 was released, so pre-built files of this version are most likely missing these changes. I apologize for any inconvenience this may have caused.

1/10/16: V1.42 

* Updated the Viola Nerf file sets to version 1.4
* An alternate CFW installation guide is now available to make CFW installation simpler, and no longer dependant on Asia81's toolkit.


28/8/16: V1.41 
Made some minor fixes to the Rebalanced version:

* Lapras now learns Recover, as per the documents
* Avalugg now learns Icicle Crash



28/8/16: V1.4 
This is a major update; wall of text incoming!
All Versions:
* Misdreavus can now be found in Reflection Cave
* Durant can now be found on Route 13
* Charizardite X is no longer free in Wilting Y
* Audino/Chansey/Blissey grinding is now available in restaurants Le Nah and Le Yeah. Grinding isn't necessary to keep up with the level curve, (unless you're doing a Nuzlocke) but it's there if you want it.
* The levels of all Pokemon in Le Wow and Sushi High Roller have been increased by 20.
* Wild Golett and Baltoy now have a 50% chance of holding Light Clay (5% previously)
* The variety of Pokemon used by Team Flare Grunts has been improved; this means less Golbats and slightly less Swagger/Confuse Ray spam!
* The price of all repel items has been reduced; Max Repels are now actually better than Super Repels
* Ability Capsules can now be purchased cheaply after you obtain the Cliff Badge, allowing you to switch your Pokemon's Abilities at will.

Legal:
* Diantha has a brand new team
* Reduced the levels of all of Shauna and Tierno's Pokemon on Route 19 by 3

Rebalanced:
* Larvesta now learns moves every five levels instead of every ten, so you'll actually be able to use it
* Larvesta now learns Wild Charge instead of Bug Buzz (don't worry, Volcarona still learns Bug Buzz)
* Ninetales is now Fire/Fairy and learns Moonblast and Dazzling Gleam
* Aerodactyl now learns Brave Bird
* Diantha has a brand new team
* Trainers in Victory Road have had their teams adjusted to take advantage of the Pokemon changes made in this version
* Submission actually has the changes listed in the document
* Reduced the levels of all of Shauna and Tierno's Pokemon on Route 19 by 3
* Modified the teams of some of the Trainers in Laverre City Gym

Insanity:
* Made minor adjustments to the Pokemon and movesets of quite a few trainers
* Serena's Mega Kangaskhan no longer has Swords Dance in the Poke Ball Factory multi battle with Team Flare


27/7/16: V1.3 
All Versions:
* Made changes to the following trainers' teams: Grant, Korrina, Clemont, Olympia, Aliana, Mable, Lysandre, Wikstrom, Diantha
* Druddigon can now actually be found in Glittering Cave
* Venomoth evolved from Venonat with Run Away will now have Wonder Skin (should have been in 1.0)

Rebalanced:

* Petilil now learns some Fairy type moves by level up
* Lilligant and the Togepi line now learn Moonblast
* Luxray now learns Volt Tackle
* Banette now actually learns Play Rough (was supposed to be added in 1.1), as well as Cotton Guard
* Flabebe, Floette and Florges learn Leech Seed

Insanity:
Will not be updated to 1.3, but will be receive the following changes in the next release:

* Clemont, Valerie and AZ will be given stronger teams
* Item usage in battle will be restricted
* Marts will sell single-use competitive items in place of healing items, as well as Sacred Ash (or something with the same effect) and Ability Capsules

NOTE: 1.3 was released with a major game-breaking "bug" that affected the Rebalanced and Insanity versions, making them completely unplayable. It's since been fixed, but as far as version numbers go I'm just going to pretend it never happened (i.e. 1.3 works, no need to wait for 1.31). Sorry for any inconvenience!

19/6/16: V1.23 
* Fixed Wilting Y's DllField.cro file. It should now be possible to build a working .cia file with the CRO changes included.
* All versions: Wild Buizel can now be found in the regular grass on Route 7.


4/6/16: V1.22 
This update is only useable for those of you using Reinand or Luma 3DS; if you don't know what those are, don't worry about it.

* Xerneas/Yveltal are now encountered at level 60
* Zygarde and Mewtwo are now encountered at level 90
* The scripted Pidgey encounter on Route 2 is now a Starly with three perfect IVs
* Articuno/Zapdos/Moltres are now encountered at level 85 and will have their hidden ability


30/5/16: V1.21 
This update is only useable for those of you using Reinand or Luma 3DS; if you don't know what those are, don't worry about it.

* Added cro files to change the levels and stats of gift Pokemon
* Fossils now have perfect IVs when revived, and are at level 25
* The Kanto starters given out by Sycamore and the free Lapras now have perfect IVs
Cro files go in the root of the romfs folder.


13/5/16: V1.2 (optional gameplay changes) 
* Updated installation guide document
* Added extra files to address feedback: Viola can now be made to battle using a team of four instead of six if desired.


10/5/16: V1.2 (no gameplay changes) 
* Updated installation guide document
* Added an Exheader file to both download packs
* renamed the code.bin file to .code.bin for easier installation


18/4/16: V1.2 
* All versions: Nosepass can now be found in the grass on Route 10; it was previously (unintentionally) unobtainable.
* All versions: Aegislash now learns King's Shield at level 52, one level after Doublade learns Sacred Sword.
* Rebalanced and Insanity: Gogoat has received some significant BST changes; it is now much faster, but has slightly less SpA.
* Legal and Rebalanced: The level and IVs of most of Viola's Gym Pokémon have been reduced (average level 15 => 14, IVs reduced by 22%); this reduces the need to grind if your team doesn't match up well against hers, as her Pokémon won't take hits nearly as well as they used to.
* All versions: The Pokéballs sold in Aquacorde town have been replaced with Cherish Balls.
* All versions: The Nest Balls sold in Cyllage City have been replaced with Flying Gems, for use with Acrobatics. The other Gems remain unavailable.
* Created and uploaded a detailed installation guide.
* Insanity Mode now has its own unique shortcuts when played via HANS.
* Added a brief tips section to the OP.


24/2/16: V1.11 
* Changed type, effects and accuracy of some HM moves (Rebalanced & Insanity only)
* Changed some Trainer teams to take advantage of the new HMs (Rebalanced & Insanity only)
* Fixed an error where the Rival's Absol had low IVs in some battles (all versions)
* Changed the Rival's team slightly in Insanity Mode


15/2/16: V1.1
* Added optional "Insanity Mode," which trades flavour and balance for increased difficulty. It may not be quite as hard as the name suggests, but it's significantly harder than the standard versions of the game. Currently available only for the Rebalanced Versions.
* Made additional changes to the following Pokémon in the Rebalanced Versions:
* Farfetch'd now learns Aqua Jet by level up
* Parasect now learns Crabhammer by level up
* Banette now learns Play Rough by level up
* Rayquaza now learns V-Create via Move Reminder
* Purrloin now learns moves earlier
* Liepard now learns Dark Pulse and Copycat by level up
* Crustle now learns Crabhammer by level up

* Fixed an issue where new TMs did not have their correct move descriptions
* Fixed a few Trainer Pokémon with incorrect items
* Updated icon files

9/2/16: V1.02 Fixed missing type and stat changes in the Rebalanced Versions of the game. This affects the following Pokémon: Flareon, Golduck, Arbok, Parasect, Noctowl, Misdreavus, Masquerain, Volbeat, Illumise, Lunatone, Luxray, Rampardos, Mismagius, Audino, Throh, Sawk, Crustle, Cofagrigus, Klink, Klang, Meowstic, Tyrantrum and Dedenne.